/*
 * Preference defaults does not support platform specific values (I think).
 * So, folder preferences here are empty. They get platform specific values
 * when the extension is run for the first time.
 * See overlay.js:savefileto.initVersion() for details
 */

// See http://kb.mozillazine.org/Localize_extension_descriptions
pref("extensions.savefileto@mozdev.org.description", "chrome://savefileto/locale/savefileto.properties");
// last version of this extension
pref("extensions.savefileto.lastVersion", "0");

// hide unix dot files
pref("extensions.savefileto.hideDotFiles", true);
// use folder lookahead
pref("extensions.savefileto.lookahead", false);
// maximum number of menu items
pref("extensions.savefileto.maxMenuLength", 0);
// use save dialog
pref("extensions.savefileto.prompt", false);
// number of recent folders to be shown
pref("extensions.savefileto.recentFoldersN", 5);

// *** PAGE ***

// save page enabled or not
pref("extensions.savefileto.page.enabled", true);
// list of recent folders
pref("extensions.savefileto.page.recentFolders", "");
// root folders
pref("extensions.savefileto.page.rootFolders", "");

// *** LINK ***

// save link enabled or not
pref("extensions.savefileto.link.enabled", true);
// list of recent folders
pref("extensions.savefileto.link.recentFolders", "");
// root folders
pref("extensions.savefileto.link.rootFolders", "");

// *** IMAGE ***

// save image enabled or not
pref("extensions.savefileto.image.enabled", true);
// list of recent folders
pref("extensions.savefileto.image.recentFolders", "");
// root folders
pref("extensions.savefileto.image.rootFolders", "");
